
D4Science Infrastructure - Task #4278

Task # 4268 (Closed): Deploy gCube Portal Bundle 4.0 to  pre.d4science.org 

Dismiss current VM preprod.d4science.org and create new one like dev2.d4science.org

Jun 21, 2016 05:06 PM - Massimiliano Assante

Status: Closed Start date: Jun 21, 2016

Priority: Urgent Due date: Jun 22, 2016

Assignee: Andrea Dell'Amico % Done: 100%

Category: Other Estimated time: 2.00 hours

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

Dismiss current VM preprod.d4science.org and create new one like dev2.d4science.org

History

#1 - Jun 23, 2016 12:28 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 10

@massimiliano.assante@isti.cnr.it asked dev5 to be part of the preprod cluster. 

The new host will be preprod1.d4science.org, IP 146.48.122.240.

I renamed dev5.d4science.org to preprod2.d4science.org, the IP remains 146.48.122.143

preprod.d4science.org will be a CNAME for preprod1 when the new cluster will be ready.

#2 - Jun 23, 2016 01:34 PM - Andrea Dell'Amico

The haproxy instance on dev2.d4science.org has been reconfigured to only use localhost as a backend.

#3 - Jun 23, 2016 02:25 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 10 to 100

The VMs are configured.

The applications will be available on https://preprod1.d4science.org, where the haproxy instance is listening.

The db server is preprod1.d4science.org. db name: infra_pre_db, db user: infra_pre, the db password is identical to the one on the dev environment.

postgresql has ssl enabled.

#4 - Jun 23, 2016 07:08 PM - Massimiliano Assante

- Status changed from Feedback to Closed

#5 - Jun 23, 2016 07:09 PM - Andrea Dell'Amico

The alias pre.d4science.org has been added and the ssl certificate updated.

The haproxy check still fails, I disabled it again.
